/* Copyright 2002-2005 The Apache Software Foundation or its licensors, as
 * applicable.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/usr"
#define DEFAULT_EXP_EXEC_PREFIX "/usr"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/usr/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/usr/sbin"
#define DEFAULT_REL_SBINDIR "sbin"
#define DEFAULT_EXP_LIBEXECDIR "/usr/bin"
#define DEFAULT_REL_LIBEXECDIR "bin"
#define DEFAULT_EXP_MANDIR "/usr/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/etc"
#define DEFAULT_REL_SYSCONFDIR "/etc"
#define DEFAULT_EXP_DATADIR "/home"
#define DEFAULT_REL_DATADIR "/home"
#define DEFAULT_EXP_INSTALLBUILDDIR "/home/build"
#define DEFAULT_REL_INSTALLBUILDDIR "/home/build"
#define DEFAULT_EXP_ERRORDIR "/home/error"
#define DEFAULT_REL_ERRORDIR "/home/error"
#define DEFAULT_EXP_ICONSDIR "/home/icons"
#define DEFAULT_REL_ICONSDIR "/home/icons"
#define DEFAULT_EXP_HTDOCSDIR "/home/htdocs"
#define DEFAULT_REL_HTDOCSDIR "/home/htdocs"
#define DEFAULT_EXP_MANUALDIR "/home/manual"
#define DEFAULT_REL_MANUALDIR "/home/manual"
#define DEFAULT_EXP_CGIDIR "/home/cgi-bin"
#define DEFAULT_REL_CGIDIR "/home/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/usr/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/var"
#define DEFAULT_REL_LOCALSTATEDIR "/var"
#define DEFAULT_EXP_RUNTIMEDIR "/var/logs"
#define DEFAULT_REL_RUNTIMEDIR "/var/logs"
#define DEFAULT_EXP_LOGFILEDIR "/var/logs"
#define DEFAULT_REL_LOGFILEDIR "/var/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "/var/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
